• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

Notarizing an adobe after effect c++ plugin

Explorer ,
Nov 20, 2020 Nov 20, 2020

Copy link to clipboard

Copied

Would a kind soul help us finding any documentation that can help with Notarizing our plugins?

The information seems to be very scare on the web for After Effects.

TOPICS
Error or problem , SDK

Views

307

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Nov 20, 2020 Nov 20, 2020

Copy link to clipboard

Copied

I was frustrated by this process but eventually got it working. You need a paid apple developer account and you need to set the signing settings inside Xcode. Then after building, run this terminal code:

xcrun altool --notarize-app --type osx --primary-bundle-id "ANY_ID" --username "YOUR_USERNAME" --password "YOUR_PASSWORD" --file  your_plugin.plugin.zip

Then to staple the certificate once it's been scanned by Apple:
xcrun stapler staple <path_to_your_plugin>plugin.plugin

It seems you can notarise, but can't staple a framework which is annoying. Not sure if this will change in the future. 

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Mar 06, 2024 Mar 06, 2024

Copy link to clipboard

Copied

LATEST

Updated version since altool is now deprecated:

echo "Begin Shell Script:"
cd /Library/Application\ Support/Adobe/Common/Plug-ins/7.0/MediaCore/build/Release/ || exit

# Zipping the product
zip -r $FULL_PRODUCT_NAME.zip $FULL_PRODUCT_NAME 2>&1 | tee zip_log.log
if [ $? -ne 0 ]; then
    echo "Error in zipping process"
    exit 1
fi

# Notarization
xcrun notarytool submit $FULL_PRODUCT_NAME.zip --keychain-profile "YOUR KEYCHAIN" --wait 2>&1 | tee notarization_log.log
if [ $? -ne 0 ]; then
    echo "Error in notarization process"
    exit 1
fi

# Stapling
xcrun stapler staple /Library/Application\ Support/Adobe/Common/Plug-ins/7.0/MediaCore/build/Release/$FULL_PRODUCT_NAME 2>&1 | tee stapler_log.log
if [ $? -ne 0 ]; then
    echo "Error in stapling process"
    exit 1
fi

# Opening the directory
open /Library/Application\ Support/Adobe/Common/Plug-ins/7.0/MediaCore/build/Release/ 2>&1 | tee open_log.log

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines